/* 
  Edit made by Alex Khazzam on 3/5/21
  -----------------------------------
  - Importing Google Font Inconsolata
  - Giving HTML page a background color
  - Removing HTML page background color
*/

@import url('https://fonts.googleapis.com/css2?family=Inconsolata&display=swap');

* {
  box-sizing: border-box !important;
  font-family: 'Inconsolata', monospace !important;
}

#home {
  position: absolute !important;
  width: 100% !important;
  background-image: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)),
    url('../images/home/possible-BG-image-1.jpg') !important;
  background-size: cover !important;
  background-attachment: fixed !important;
  background-position: center !important;
  height: 100% !important;
  z-index: -2 !important;
}

.loader,
.loader:before,
.loader:after {
  background: #ffffff;
  -webkit-animation: load1 1s infinite ease-in-out;
  animation: load1 1s infinite ease-in-out;
  width: 1em;
  height: 4em;
}
.loader {
  color: #ffffff;
  text-indent: -9999em;
  margin: 88px auto;
  position: relative;
  font-size: 11px;
  -webkit-transform: translateZ(0);
  -ms-transform: translateZ(0);
  transform: translateZ(0);
  -webkit-animation-delay: -0.16s;
  animation-delay: -0.16s;
}
.loader:before,
.loader:after {
  position: absolute;
  top: 0;
  content: '';
}
.loader:before {
  left: -1.5em;
  -webkit-animation-delay: -0.32s;
  animation-delay: -0.32s;
}
.loader:after {
  left: 1.5em;
}

#home__club-name-wrapper {
  margin-top: 20%;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 1;
}

#club-name {
  color: white;
  text-align: center;
}

#home__cta-btns {
  margin-top: 3%;
  z-index: 1;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  animation: 3.5s scroll-up-cta-buttons;
}

#home__cta-btns button {
  margin: 20px;
  border-radius: 50px;
  padding: 20px;
  width: 150px;
  font-size: 1.2rem;
}

@-webkit-keyframes load1 {
  0%,
  80%,
  100% {
    box-shadow: 0 0;
    height: 4em;
  }
  40% {
    box-shadow: 0 -2em;
    height: 5em;
  }
}
@keyframes load1 {
  0%,
  80%,
  100% {
    box-shadow: 0 0;
    height: 4em;
  }
  40% {
    box-shadow: 0 -2em;
    height: 5em;
  }
}

@keyframes scroll-up-cta-buttons {
  from {
    margin-top: 100%;
  }

  to {
    margin-top: 3%;
  }
}
